﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
    <Schema Namespace="dbShopModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="Carro">
          <Key>
            <PropertyRef Name="Id_Carro" />
          </Key>
          <Property Name="Id_Carro" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Id_Usuario" Type="int" />
        </EntityType>
        <EntityType Name="Categorias">
          <Key>
            <PropertyRef Name="Id_Categoria" />
          </Key>
          <Property Name="Id_Categoria" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Nombre_Categoria" Type="varchar" MaxLength="50" />
          <Property Name="Descripcion_Categoria" Type="varchar" MaxLength="50" />
          <Property Name="Id_Estado_Categorias" Type="int" />
        </EntityType>
        <EntityType Name="Detalle_Compra">
          <Key>
            <PropertyRef Name="Id_Detalle_Compra" />
          </Key>
          <Property Name="Id_Detalle_Compra" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Detalle" Type="varchar(max)" />
          <Property Name="Id_Usuario" Type="int" />
          <Property Name="Fecha" Type="datetime" />
          <Property Name="Id_Estado_Compra" Type="int" />
          <Property Name="Codigo_Envio" Type="varchar(max)" />
        </EntityType>
        <EntityType Name="Estado_Categorias">
          <Key>
            <PropertyRef Name="Id_Estado_Categoria" />
          </Key>
          <Property Name="Id_Estado_Categoria" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Estado_Categoria" Type="varchar" MaxLength="50" />
        </EntityType>
        <EntityType Name="Estado_Compras">
          <Key>
            <PropertyRef Name="Id_Estado_Compra" />
          </Key>
          <Property Name="Id_Estado_Compra" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Estado_Compra" Type="varchar" MaxLength="25" />
        </EntityType>
        <EntityType Name="Estado_Marca">
          <Key>
            <PropertyRef Name="Id_Estado_Marca" />
          </Key>
          <Property Name="Id_Estado_Marca" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Estado_Marca" Type="varchar" MaxLength="50" />
        </EntityType>
        <EntityType Name="Estado_Productos">
          <Key>
            <PropertyRef Name="Id_Estado_Producto" />
          </Key>
          <Property Name="Id_Estado_Producto" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Estado_Producto" Type="varchar" MaxLength="50" />
        </EntityType>
        <EntityType Name="Estado_Usuarios">
          <Key>
            <PropertyRef Name="Id_Estado" />
          </Key>
          <Property Name="Id_Estado" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Estado" Type="varchar" MaxLength="50" />
        </EntityType>
        <EntityType Name="Marca">
          <Key>
            <PropertyRef Name="Id_Marca" />
          </Key>
          <Property Name="Id_Marca" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Nombre_Marca" Type="varchar" MaxLength="50" />
          <Property Name="Descripcion_Marca" Type="varchar" MaxLength="50" />
          <Property Name="Id_Estado_Marca" Type="int" />
        </EntityType>
        <EntityType Name="Orden">
          <Key>
            <PropertyRef Name="Id_Orden" />
          </Key>
          <Property Name="Id_Orden" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Cantidad" Type="float" />
          <Property Name="Id_Producto" Type="int" />
          <Property Name="Id_Carro" Type="int" />
          <Property Name="PrecioCantidad" Type="float" />
          <Property Name="PrecioTotal" Type="float" />
        </EntityType>
        <EntityType Name="Producto">
          <Key>
            <PropertyRef Name="Id_Producto" />
          </Key>
          <Property Name="Id_Producto" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Nombre_Producto" Type="varchar" MaxLength="50" />
          <Property Name="Descripcion_Producto" Type="varchar" MaxLength="50" />
          <Property Name="Precio_Producto" Type="float" />
          <Property Name="Imagen_Producto" Type="varchar(max)" />
          <Property Name="Stock_Producto" Type="int" />
          <Property Name="Id_Marca" Type="int" />
          <Property Name="Id_Categoria" Type="int" />
          <Property Name="Id_Estado_Producto" Type="int" />
        </EntityType>
        <EntityType Name="Roles_Usuarios">
          <Key>
            <PropertyRef Name="Id_Rol_Usuario" />
          </Key>
          <Property Name="Id_Rol_Usuario" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Rol" Type="varchar" MaxLength="50" />
        </EntityType>
        <EntityType Name="SuvNavCategorias">
          <Key>
            <PropertyRef Name="SuvNavCategoria" />
          </Key>
          <Property Name="SuvNavCategoria" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Id_Marca" Type="int" />
          <Property Name="Id_Categoria" Type="int" />
        </EntityType>
        <EntityType Name="Usuarios">
          <Key>
            <PropertyRef Name="Id_Usuario" />
          </Key>
          <Property Name="Id_Usuario" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Primer_Nombre" Type="varchar" MaxLength="50" />
          <Property Name="Segundo_Nombre" Type="varchar" MaxLength="50" />
          <Property Name="Primer_Apellido" Type="varchar" MaxLength="50" />
          <Property Name="Segundo_Apellido" Type="varchar" MaxLength="50" />
          <Property Name="Run" Type="varchar" MaxLength="50" />
          <Property Name="Email" Type="varchar" MaxLength="50" />
          <Property Name="Password" Type="varchar" MaxLength="50" />
          <Property Name="Calle" Type="varchar" MaxLength="50" />
          <Property Name="Numero" Type="int" />
          <Property Name="Ciudad_Comuna" Type="varchar" MaxLength="50" />
          <Property Name="Region" Type="varchar" MaxLength="50" />
          <Property Name="Id_Estado" Type="int" Nullable="false" />
          <Property Name="Id_Rol_Usuario" Type="int" />
        </EntityType>
        <Association Name="FK_Carro_Usuarios">
          <End Role="Usuarios" Type="Self.Usuarios" Multiplicity="0..1" />
          <End Role="Carro" Type="Self.Carro" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Usuarios">
              <PropertyRef Name="Id_Usuario" />
            </Principal>
            <Dependent Role="Carro">
              <PropertyRef Name="Id_Usuario" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Categorias_Estado_Categorias">
          <End Role="Estado_Categorias" Type="Self.Estado_Categorias" Multiplicity="0..1" />
          <End Role="Categorias" Type="Self.Categorias" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Estado_Categorias">
              <PropertyRef Name="Id_Estado_Categoria" />
            </Principal>
            <Dependent Role="Categorias">
              <PropertyRef Name="Id_Estado_Categorias" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Detalle_Compra_Estado_Compras">
          <End Role="Estado_Compras" Type="Self.Estado_Compras" Multiplicity="0..1" />
          <End Role="Detalle_Compra" Type="Self.Detalle_Compra" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Estado_Compras">
              <PropertyRef Name="Id_Estado_Compra" />
            </Principal>
            <Dependent Role="Detalle_Compra">
              <PropertyRef Name="Id_Estado_Compra" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Detalle_Compra_Usuarios">
          <End Role="Usuarios" Type="Self.Usuarios" Multiplicity="0..1" />
          <End Role="Detalle_Compra" Type="Self.Detalle_Compra" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Usuarios">
              <PropertyRef Name="Id_Usuario" />
            </Principal>
            <Dependent Role="Detalle_Compra">
              <PropertyRef Name="Id_Usuario" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Marca_Estado_Marca">
          <End Role="Estado_Marca" Type="Self.Estado_Marca" Multiplicity="0..1" />
          <End Role="Marca" Type="Self.Marca" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Estado_Marca">
              <PropertyRef Name="Id_Estado_Marca" />
            </Principal>
            <Dependent Role="Marca">
              <PropertyRef Name="Id_Estado_Marca" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Orden_Carro">
          <End Role="Carro" Type="Self.Carro" Multiplicity="0..1" />
          <End Role="Orden" Type="Self.Orden" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Carro">
              <PropertyRef Name="Id_Carro" />
            </Principal>
            <Dependent Role="Orden">
              <PropertyRef Name="Id_Carro" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Orden_Producto">
          <End Role="Producto" Type="Self.Producto" Multiplicity="0..1" />
          <End Role="Orden" Type="Self.Orden" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Producto">
              <PropertyRef Name="Id_Producto" />
            </Principal>
            <Dependent Role="Orden">
              <PropertyRef Name="Id_Producto" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Producto_Categorias">
          <End Role="Categorias" Type="Self.Categorias" Multiplicity="0..1" />
          <End Role="Producto" Type="Self.Producto" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Categorias">
              <PropertyRef Name="Id_Categoria" />
            </Principal>
            <Dependent Role="Producto">
              <PropertyRef Name="Id_Categoria" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Producto_Estado_Productos">
          <End Role="Estado_Productos" Type="Self.Estado_Productos" Multiplicity="0..1" />
          <End Role="Producto" Type="Self.Producto" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Estado_Productos">
              <PropertyRef Name="Id_Estado_Producto" />
            </Principal>
            <Dependent Role="Producto">
              <PropertyRef Name="Id_Estado_Producto" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Producto_Marca">
          <End Role="Marca" Type="Self.Marca" Multiplicity="0..1" />
          <End Role="Producto" Type="Self.Producto" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Marca">
              <PropertyRef Name="Id_Marca" />
            </Principal>
            <Dependent Role="Producto">
              <PropertyRef Name="Id_Marca" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_SuvNavCategorias_Categorias">
          <End Role="Categorias" Type="Self.Categorias" Multiplicity="0..1" />
          <End Role="SuvNavCategorias" Type="Self.SuvNavCategorias" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Categorias">
              <PropertyRef Name="Id_Categoria" />
            </Principal>
            <Dependent Role="SuvNavCategorias">
              <PropertyRef Name="Id_Categoria" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_SuvNavCategorias_Marca">
          <End Role="Marca" Type="Self.Marca" Multiplicity="0..1" />
          <End Role="SuvNavCategorias" Type="Self.SuvNavCategorias" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Marca">
              <PropertyRef Name="Id_Marca" />
            </Principal>
            <Dependent Role="SuvNavCategorias">
              <PropertyRef Name="Id_Marca" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Usuarios_Estado_Usuarios">
          <End Role="Estado_Usuarios" Type="Self.Estado_Usuarios" Multiplicity="1" />
          <End Role="Usuarios" Type="Self.Usuarios" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Estado_Usuarios">
              <PropertyRef Name="Id_Estado" />
            </Principal>
            <Dependent Role="Usuarios">
              <PropertyRef Name="Id_Estado" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Usuarios_Usuarios">
          <End Role="Roles_Usuarios" Type="Self.Roles_Usuarios" Multiplicity="0..1" />
          <End Role="Usuarios" Type="Self.Usuarios" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Roles_Usuarios">
              <PropertyRef Name="Id_Rol_Usuario" />
            </Principal>
            <Dependent Role="Usuarios">
              <PropertyRef Name="Id_Rol_Usuario" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="dbShopModelStoreContainer">
          <EntitySet Name="Carro" EntityType="Self.Carro" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Categorias" EntityType="Self.Categorias" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Detalle_Compra" EntityType="Self.Detalle_Compra" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Estado_Categorias" EntityType="Self.Estado_Categorias" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Estado_Compras" EntityType="Self.Estado_Compras" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Estado_Marca" EntityType="Self.Estado_Marca" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Estado_Productos" EntityType="Self.Estado_Productos" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Estado_Usuarios" EntityType="Self.Estado_Usuarios" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Marca" EntityType="Self.Marca" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Orden" EntityType="Self.Orden" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Producto" EntityType="Self.Producto" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Roles_Usuarios" EntityType="Self.Roles_Usuarios" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="SuvNavCategorias" EntityType="Self.SuvNavCategorias" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Usuarios" EntityType="Self.Usuarios" Schema="dbo" store:Type="Tables" />
          <AssociationSet Name="FK_Carro_Usuarios" Association="Self.FK_Carro_Usuarios">
            <End Role="Usuarios" EntitySet="Usuarios" />
            <End Role="Carro" EntitySet="Carro" />
          </AssociationSet>
          <AssociationSet Name="FK_Categorias_Estado_Categorias" Association="Self.FK_Categorias_Estado_Categorias">
            <End Role="Estado_Categorias" EntitySet="Estado_Categorias" />
            <End Role="Categorias" EntitySet="Categorias" />
          </AssociationSet>
          <AssociationSet Name="FK_Detalle_Compra_Estado_Compras" Association="Self.FK_Detalle_Compra_Estado_Compras">
            <End Role="Estado_Compras" EntitySet="Estado_Compras" />
            <End Role="Detalle_Compra" EntitySet="Detalle_Compra" />
          </AssociationSet>
          <AssociationSet Name="FK_Detalle_Compra_Usuarios" Association="Self.FK_Detalle_Compra_Usuarios">
            <End Role="Usuarios" EntitySet="Usuarios" />
            <End Role="Detalle_Compra" EntitySet="Detalle_Compra" />
          </AssociationSet>
          <AssociationSet Name="FK_Marca_Estado_Marca" Association="Self.FK_Marca_Estado_Marca">
            <End Role="Estado_Marca" EntitySet="Estado_Marca" />
            <End Role="Marca" EntitySet="Marca" />
          </AssociationSet>
          <AssociationSet Name="FK_Orden_Carro" Association="Self.FK_Orden_Carro">
            <End Role="Carro" EntitySet="Carro" />
            <End Role="Orden" EntitySet="Orden" />
          </AssociationSet>
          <AssociationSet Name="FK_Orden_Producto" Association="Self.FK_Orden_Producto">
            <End Role="Producto" EntitySet="Producto" />
            <End Role="Orden" EntitySet="Orden" />
          </AssociationSet>
          <AssociationSet Name="FK_Producto_Categorias" Association="Self.FK_Producto_Categorias">
            <End Role="Categorias" EntitySet="Categorias" />
            <End Role="Producto" EntitySet="Producto" />
          </AssociationSet>
          <AssociationSet Name="FK_Producto_Estado_Productos" Association="Self.FK_Producto_Estado_Productos">
            <End Role="Estado_Productos" EntitySet="Estado_Productos" />
            <End Role="Producto" EntitySet="Producto" />
          </AssociationSet>
          <AssociationSet Name="FK_Producto_Marca" Association="Self.FK_Producto_Marca">
            <End Role="Marca" EntitySet="Marca" />
            <End Role="Producto" EntitySet="Producto" />
          </AssociationSet>
          <AssociationSet Name="FK_SuvNavCategorias_Categorias" Association="Self.FK_SuvNavCategorias_Categorias">
            <End Role="Categorias" EntitySet="Categorias" />
            <End Role="SuvNavCategorias" EntitySet="SuvNavCategorias" />
          </AssociationSet>
          <AssociationSet Name="FK_SuvNavCategorias_Marca" Association="Self.FK_SuvNavCategorias_Marca">
            <End Role="Marca" EntitySet="Marca" />
            <End Role="SuvNavCategorias" EntitySet="SuvNavCategorias" />
          </AssociationSet>
          <AssociationSet Name="FK_Usuarios_Estado_Usuarios" Association="Self.FK_Usuarios_Estado_Usuarios">
            <End Role="Estado_Usuarios" EntitySet="Estado_Usuarios" />
            <End Role="Usuarios" EntitySet="Usuarios" />
          </AssociationSet>
          <AssociationSet Name="FK_Usuarios_Usuarios" Association="Self.FK_Usuarios_Usuarios">
            <End Role="Roles_Usuarios" EntitySet="Roles_Usuarios" />
            <End Role="Usuarios" EntitySet="Usuarios" />
          </AssociationSet>
        </EntityContainer>
      </Schema></edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="dbShopModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityContainer Name="dbEmart" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="Carro" EntityType="dbShopModel.Carro" />
          <EntitySet Name="Categorias" EntityType="dbShopModel.Categorias" />
          <EntitySet Name="Detalle_Compra" EntityType="dbShopModel.Detalle_Compra" />
          <EntitySet Name="Estado_Categorias" EntityType="dbShopModel.Estado_Categorias" />
          <EntitySet Name="Estado_Compras" EntityType="dbShopModel.Estado_Compras" />
          <EntitySet Name="Estado_Marca" EntityType="dbShopModel.Estado_Marca" />
          <EntitySet Name="Estado_Productos" EntityType="dbShopModel.Estado_Productos" />
          <EntitySet Name="Estado_Usuarios" EntityType="dbShopModel.Estado_Usuarios" />
          <EntitySet Name="Marca" EntityType="dbShopModel.Marca" />
          <EntitySet Name="Orden" EntityType="dbShopModel.Orden" />
          <EntitySet Name="Producto" EntityType="dbShopModel.Producto" />
          <EntitySet Name="Roles_Usuarios" EntityType="dbShopModel.Roles_Usuarios" />
          <EntitySet Name="SuvNavCategorias" EntityType="dbShopModel.SuvNavCategorias" />
          <EntitySet Name="Usuarios" EntityType="dbShopModel.Usuarios" />
          <AssociationSet Name="FK_Carro_Usuarios" Association="dbShopModel.FK_Carro_Usuarios">
            <End Role="Usuarios" EntitySet="Usuarios" />
            <End Role="Carro" EntitySet="Carro" />
          </AssociationSet>
          <AssociationSet Name="FK_Orden_Carro" Association="dbShopModel.FK_Orden_Carro">
            <End Role="Carro" EntitySet="Carro" />
            <End Role="Orden" EntitySet="Orden" />
          </AssociationSet>
          <AssociationSet Name="FK_Categorias_Estado_Categorias" Association="dbShopModel.FK_Categorias_Estado_Categorias">
            <End Role="Estado_Categorias" EntitySet="Estado_Categorias" />
            <End Role="Categorias" EntitySet="Categorias" />
          </AssociationSet>
          <AssociationSet Name="FK_Producto_Categorias" Association="dbShopModel.FK_Producto_Categorias">
            <End Role="Categorias" EntitySet="Categorias" />
            <End Role="Producto" EntitySet="Producto" />
          </AssociationSet>
          <AssociationSet Name="FK_SuvNavCategorias_Categorias" Association="dbShopModel.FK_SuvNavCategorias_Categorias">
            <End Role="Categorias" EntitySet="Categorias" />
            <End Role="SuvNavCategorias" EntitySet="SuvNavCategorias" />
          </AssociationSet>
          <AssociationSet Name="FK_Detalle_Compra_Estado_Compras" Association="dbShopModel.FK_Detalle_Compra_Estado_Compras">
            <End Role="Estado_Compras" EntitySet="Estado_Compras" />
            <End Role="Detalle_Compra" EntitySet="Detalle_Compra" />
          </AssociationSet>
          <AssociationSet Name="FK_Detalle_Compra_Usuarios" Association="dbShopModel.FK_Detalle_Compra_Usuarios">
            <End Role="Usuarios" EntitySet="Usuarios" />
            <End Role="Detalle_Compra" EntitySet="Detalle_Compra" />
          </AssociationSet>
          <AssociationSet Name="FK_Marca_Estado_Marca" Association="dbShopModel.FK_Marca_Estado_Marca">
            <End Role="Estado_Marca" EntitySet="Estado_Marca" />
            <End Role="Marca" EntitySet="Marca" />
          </AssociationSet>
          <AssociationSet Name="FK_Producto_Estado_Productos" Association="dbShopModel.FK_Producto_Estado_Productos">
            <End Role="Estado_Productos" EntitySet="Estado_Productos" />
            <End Role="Producto" EntitySet="Producto" />
          </AssociationSet>
          <AssociationSet Name="FK_Usuarios_Estado_Usuarios" Association="dbShopModel.FK_Usuarios_Estado_Usuarios">
            <End Role="Estado_Usuarios" EntitySet="Estado_Usuarios" />
            <End Role="Usuarios" EntitySet="Usuarios" />
          </AssociationSet>
          <AssociationSet Name="FK_Producto_Marca" Association="dbShopModel.FK_Producto_Marca">
            <End Role="Marca" EntitySet="Marca" />
            <End Role="Producto" EntitySet="Producto" />
          </AssociationSet>
          <AssociationSet Name="FK_SuvNavCategorias_Marca" Association="dbShopModel.FK_SuvNavCategorias_Marca">
            <End Role="Marca" EntitySet="Marca" />
            <End Role="SuvNavCategorias" EntitySet="SuvNavCategorias" />
          </AssociationSet>
          <AssociationSet Name="FK_Orden_Producto" Association="dbShopModel.FK_Orden_Producto">
            <End Role="Producto" EntitySet="Producto" />
            <End Role="Orden" EntitySet="Orden" />
          </AssociationSet>
          <AssociationSet Name="FK_Usuarios_Usuarios" Association="dbShopModel.FK_Usuarios_Usuarios">
            <End Role="Roles_Usuarios" EntitySet="Roles_Usuarios" />
            <End Role="Usuarios" EntitySet="Usuarios" />
          </AssociationSet>
        </EntityContainer>
        <EntityType Name="Carro">
          <Key>
            <PropertyRef Name="Id_Carro" />
          </Key>
          <Property Name="Id_Carro" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Id_Usuario" Type="Int32" />
          <NavigationProperty Name="Usuarios" Relationship="dbShopModel.FK_Carro_Usuarios" FromRole="Carro" ToRole="Usuarios" />
          <NavigationProperty Name="Orden" Relationship="dbShopModel.FK_Orden_Carro" FromRole="Carro" ToRole="Orden" />
        </EntityType>
        <EntityType Name="Categorias">
          <Key>
            <PropertyRef Name="Id_Categoria" />
          </Key>
          <Property Name="Id_Categoria" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Nombre_Categoria" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Descripcion_Categoria" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Id_Estado_Categorias" Type="Int32" />
          <NavigationProperty Name="Estado_Categorias" Relationship="dbShopModel.FK_Categorias_Estado_Categorias" FromRole="Categorias" ToRole="Estado_Categorias" />
          <NavigationProperty Name="Producto" Relationship="dbShopModel.FK_Producto_Categorias" FromRole="Categorias" ToRole="Producto" />
          <NavigationProperty Name="SuvNavCategorias" Relationship="dbShopModel.FK_SuvNavCategorias_Categorias" FromRole="Categorias" ToRole="SuvNavCategorias" />
        </EntityType>
        <EntityType Name="Detalle_Compra">
          <Key>
            <PropertyRef Name="Id_Detalle_Compra" />
          </Key>
          <Property Name="Id_Detalle_Compra" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Detalle" Type="String" MaxLength="Max" FixedLength="false" Unicode="false" />
          <Property Name="Id_Usuario" Type="Int32" />
          <Property Name="Fecha" Type="DateTime" Precision="3" />
          <Property Name="Id_Estado_Compra" Type="Int32" />
          <Property Name="Codigo_Envio" Type="String" MaxLength="Max" FixedLength="false" Unicode="false" />
          <NavigationProperty Name="Estado_Compras" Relationship="dbShopModel.FK_Detalle_Compra_Estado_Compras" FromRole="Detalle_Compra" ToRole="Estado_Compras" />
          <NavigationProperty Name="Usuarios" Relationship="dbShopModel.FK_Detalle_Compra_Usuarios" FromRole="Detalle_Compra" ToRole="Usuarios" />
        </EntityType>
        <EntityType Name="Estado_Categorias">
          <Key>
            <PropertyRef Name="Id_Estado_Categoria" />
          </Key>
          <Property Name="Id_Estado_Categoria" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Estado_Categoria" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <NavigationProperty Name="Categorias" Relationship="dbShopModel.FK_Categorias_Estado_Categorias" FromRole="Estado_Categorias" ToRole="Categorias" />
        </EntityType>
        <EntityType Name="Estado_Compras">
          <Key>
            <PropertyRef Name="Id_Estado_Compra" />
          </Key>
          <Property Name="Id_Estado_Compra" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Estado_Compra" Type="String" MaxLength="25" FixedLength="false" Unicode="false" />
          <NavigationProperty Name="Detalle_Compra" Relationship="dbShopModel.FK_Detalle_Compra_Estado_Compras" FromRole="Estado_Compras" ToRole="Detalle_Compra" />
        </EntityType>
        <EntityType Name="Estado_Marca">
          <Key>
            <PropertyRef Name="Id_Estado_Marca" />
          </Key>
          <Property Name="Id_Estado_Marca" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Estado_Marca1" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <NavigationProperty Name="Marca" Relationship="dbShopModel.FK_Marca_Estado_Marca" FromRole="Estado_Marca" ToRole="Marca" />
        </EntityType>
        <EntityType Name="Estado_Productos">
          <Key>
            <PropertyRef Name="Id_Estado_Producto" />
          </Key>
          <Property Name="Id_Estado_Producto" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Estado_Producto" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <NavigationProperty Name="Producto" Relationship="dbShopModel.FK_Producto_Estado_Productos" FromRole="Estado_Productos" ToRole="Producto" />
        </EntityType>
        <EntityType Name="Estado_Usuarios">
          <Key>
            <PropertyRef Name="Id_Estado" />
          </Key>
          <Property Name="Id_Estado" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Estado" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <NavigationProperty Name="Usuarios" Relationship="dbShopModel.FK_Usuarios_Estado_Usuarios" FromRole="Estado_Usuarios" ToRole="Usuarios" />
        </EntityType>
        <EntityType Name="Marca">
          <Key>
            <PropertyRef Name="Id_Marca" />
          </Key>
          <Property Name="Id_Marca" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Nombre_Marca" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Descripcion_Marca" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Id_Estado_Marca" Type="Int32" />
          <NavigationProperty Name="Estado_Marca" Relationship="dbShopModel.FK_Marca_Estado_Marca" FromRole="Marca" ToRole="Estado_Marca" />
          <NavigationProperty Name="Producto" Relationship="dbShopModel.FK_Producto_Marca" FromRole="Marca" ToRole="Producto" />
          <NavigationProperty Name="SuvNavCategorias" Relationship="dbShopModel.FK_SuvNavCategorias_Marca" FromRole="Marca" ToRole="SuvNavCategorias" />
        </EntityType>
        <EntityType Name="Orden">
          <Key>
            <PropertyRef Name="Id_Orden" />
          </Key>
          <Property Name="Id_Orden" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Cantidad" Type="Double" />
          <Property Name="Id_Producto" Type="Int32" />
          <Property Name="Id_Carro" Type="Int32" />
          <Property Name="PrecioCantidad" Type="Double" />
          <Property Name="PrecioTotal" Type="Double" />
          <NavigationProperty Name="Carro" Relationship="dbShopModel.FK_Orden_Carro" FromRole="Orden" ToRole="Carro" />
          <NavigationProperty Name="Producto" Relationship="dbShopModel.FK_Orden_Producto" FromRole="Orden" ToRole="Producto" />
        </EntityType>
        <EntityType Name="Producto">
          <Key>
            <PropertyRef Name="Id_Producto" />
          </Key>
          <Property Name="Id_Producto" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Nombre_Producto" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Descripcion_Producto" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Precio_Producto" Type="Double" />
          <Property Name="Imagen_Producto" Type="String" MaxLength="Max" FixedLength="false" Unicode="false" />
          <Property Name="Stock_Producto" Type="Int32" />
          <Property Name="Id_Marca" Type="Int32" />
          <Property Name="Id_Categoria" Type="Int32" />
          <Property Name="Id_Estado_Producto" Type="Int32" />
          <NavigationProperty Name="Categorias" Relationship="dbShopModel.FK_Producto_Categorias" FromRole="Producto" ToRole="Categorias" />
          <NavigationProperty Name="Estado_Productos" Relationship="dbShopModel.FK_Producto_Estado_Productos" FromRole="Producto" ToRole="Estado_Productos" />
          <NavigationProperty Name="Marca" Relationship="dbShopModel.FK_Producto_Marca" FromRole="Producto" ToRole="Marca" />
          <NavigationProperty Name="Orden" Relationship="dbShopModel.FK_Orden_Producto" FromRole="Producto" ToRole="Orden" />
        </EntityType>
        <EntityType Name="Roles_Usuarios">
          <Key>
            <PropertyRef Name="Id_Rol_Usuario" />
          </Key>
          <Property Name="Id_Rol_Usuario" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Rol" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <NavigationProperty Name="Usuarios" Relationship="dbShopModel.FK_Usuarios_Usuarios" FromRole="Roles_Usuarios" ToRole="Usuarios" />
        </EntityType>
        <EntityType Name="SuvNavCategorias">
          <Key>
            <PropertyRef Name="SuvNavCategoria" />
          </Key>
          <Property Name="SuvNavCategoria" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Id_Marca" Type="Int32" />
          <Property Name="Id_Categoria" Type="Int32" />
          <NavigationProperty Name="Categorias" Relationship="dbShopModel.FK_SuvNavCategorias_Categorias" FromRole="SuvNavCategorias" ToRole="Categorias" />
          <NavigationProperty Name="Marca" Relationship="dbShopModel.FK_SuvNavCategorias_Marca" FromRole="SuvNavCategorias" ToRole="Marca" />
        </EntityType>
        <EntityType Name="Usuarios">
          <Key>
            <PropertyRef Name="Id_Usuario" />
          </Key>
          <Property Name="Id_Usuario" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Primer_Nombre" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Segundo_Nombre" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Primer_Apellido" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Segundo_Apellido" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Run" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Email" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Password" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Calle" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Numero" Type="Int32" />
          <Property Name="Ciudad_Comuna" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Region" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Id_Estado" Type="Int32" Nullable="false" />
          <Property Name="Id_Rol_Usuario" Type="Int32" />
          <NavigationProperty Name="Carro" Relationship="dbShopModel.FK_Carro_Usuarios" FromRole="Usuarios" ToRole="Carro" />
          <NavigationProperty Name="Detalle_Compra" Relationship="dbShopModel.FK_Detalle_Compra_Usuarios" FromRole="Usuarios" ToRole="Detalle_Compra" />
          <NavigationProperty Name="Estado_Usuarios" Relationship="dbShopModel.FK_Usuarios_Estado_Usuarios" FromRole="Usuarios" ToRole="Estado_Usuarios" />
          <NavigationProperty Name="Roles_Usuarios" Relationship="dbShopModel.FK_Usuarios_Usuarios" FromRole="Usuarios" ToRole="Roles_Usuarios" />
        </EntityType>
        <Association Name="FK_Carro_Usuarios">
          <End Type="dbShopModel.Usuarios" Role="Usuarios" Multiplicity="0..1" />
          <End Type="dbShopModel.Carro" Role="Carro" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Usuarios">
              <PropertyRef Name="Id_Usuario" />
            </Principal>
            <Dependent Role="Carro">
              <PropertyRef Name="Id_Usuario" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Orden_Carro">
          <End Type="dbShopModel.Carro" Role="Carro" Multiplicity="0..1" />
          <End Type="dbShopModel.Orden" Role="Orden" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Carro">
              <PropertyRef Name="Id_Carro" />
            </Principal>
            <Dependent Role="Orden">
              <PropertyRef Name="Id_Carro" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Categorias_Estado_Categorias">
          <End Type="dbShopModel.Estado_Categorias" Role="Estado_Categorias" Multiplicity="0..1" />
          <End Type="dbShopModel.Categorias" Role="Categorias" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Estado_Categorias">
              <PropertyRef Name="Id_Estado_Categoria" />
            </Principal>
            <Dependent Role="Categorias">
              <PropertyRef Name="Id_Estado_Categorias" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Producto_Categorias">
          <End Type="dbShopModel.Categorias" Role="Categorias" Multiplicity="0..1" />
          <End Type="dbShopModel.Producto" Role="Producto" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Categorias">
              <PropertyRef Name="Id_Categoria" />
            </Principal>
            <Dependent Role="Producto">
              <PropertyRef Name="Id_Categoria" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_SuvNavCategorias_Categorias">
          <End Type="dbShopModel.Categorias" Role="Categorias" Multiplicity="0..1" />
          <End Type="dbShopModel.SuvNavCategorias" Role="SuvNavCategorias" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Categorias">
              <PropertyRef Name="Id_Categoria" />
            </Principal>
            <Dependent Role="SuvNavCategorias">
              <PropertyRef Name="Id_Categoria" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Detalle_Compra_Estado_Compras">
          <End Type="dbShopModel.Estado_Compras" Role="Estado_Compras" Multiplicity="0..1" />
          <End Type="dbShopModel.Detalle_Compra" Role="Detalle_Compra" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Estado_Compras">
              <PropertyRef Name="Id_Estado_Compra" />
            </Principal>
            <Dependent Role="Detalle_Compra">
              <PropertyRef Name="Id_Estado_Compra" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Detalle_Compra_Usuarios">
          <End Type="dbShopModel.Usuarios" Role="Usuarios" Multiplicity="0..1" />
          <End Type="dbShopModel.Detalle_Compra" Role="Detalle_Compra" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Usuarios">
              <PropertyRef Name="Id_Usuario" />
            </Principal>
            <Dependent Role="Detalle_Compra">
              <PropertyRef Name="Id_Usuario" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Marca_Estado_Marca">
          <End Type="dbShopModel.Estado_Marca" Role="Estado_Marca" Multiplicity="0..1" />
          <End Type="dbShopModel.Marca" Role="Marca" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Estado_Marca">
              <PropertyRef Name="Id_Estado_Marca" />
            </Principal>
            <Dependent Role="Marca">
              <PropertyRef Name="Id_Estado_Marca" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Producto_Estado_Productos">
          <End Type="dbShopModel.Estado_Productos" Role="Estado_Productos" Multiplicity="0..1" />
          <End Type="dbShopModel.Producto" Role="Producto" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Estado_Productos">
              <PropertyRef Name="Id_Estado_Producto" />
            </Principal>
            <Dependent Role="Producto">
              <PropertyRef Name="Id_Estado_Producto" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Usuarios_Estado_Usuarios">
          <End Type="dbShopModel.Estado_Usuarios" Role="Estado_Usuarios" Multiplicity="1" />
          <End Type="dbShopModel.Usuarios" Role="Usuarios" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Estado_Usuarios">
              <PropertyRef Name="Id_Estado" />
            </Principal>
            <Dependent Role="Usuarios">
              <PropertyRef Name="Id_Estado" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Producto_Marca">
          <End Type="dbShopModel.Marca" Role="Marca" Multiplicity="0..1" />
          <End Type="dbShopModel.Producto" Role="Producto" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Marca">
              <PropertyRef Name="Id_Marca" />
            </Principal>
            <Dependent Role="Producto">
              <PropertyRef Name="Id_Marca" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_SuvNavCategorias_Marca">
          <End Type="dbShopModel.Marca" Role="Marca" Multiplicity="0..1" />
          <End Type="dbShopModel.SuvNavCategorias" Role="SuvNavCategorias" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Marca">
              <PropertyRef Name="Id_Marca" />
            </Principal>
            <Dependent Role="SuvNavCategorias">
              <PropertyRef Name="Id_Marca" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Orden_Producto">
          <End Type="dbShopModel.Producto" Role="Producto" Multiplicity="0..1" />
          <End Type="dbShopModel.Orden" Role="Orden" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Producto">
              <PropertyRef Name="Id_Producto" />
            </Principal>
            <Dependent Role="Orden">
              <PropertyRef Name="Id_Producto" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Usuarios_Usuarios">
          <End Type="dbShopModel.Roles_Usuarios" Role="Roles_Usuarios" Multiplicity="0..1" />
          <End Type="dbShopModel.Usuarios" Role="Usuarios" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Roles_Usuarios">
              <PropertyRef Name="Id_Rol_Usuario" />
            </Principal>
            <Dependent Role="Usuarios">
              <PropertyRef Name="Id_Rol_Usuario" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="dbShopModelStoreContainer" CdmEntityContainer="dbEmart">
          <EntitySetMapping Name="Carro">
            <EntityTypeMapping TypeName="dbShopModel.Carro">
              <MappingFragment StoreEntitySet="Carro">
                <ScalarProperty Name="Id_Usuario" ColumnName="Id_Usuario" />
                <ScalarProperty Name="Id_Carro" ColumnName="Id_Carro" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Categorias">
            <EntityTypeMapping TypeName="dbShopModel.Categorias">
              <MappingFragment StoreEntitySet="Categorias">
                <ScalarProperty Name="Id_Estado_Categorias" ColumnName="Id_Estado_Categorias" />
                <ScalarProperty Name="Descripcion_Categoria" ColumnName="Descripcion_Categoria" />
                <ScalarProperty Name="Nombre_Categoria" ColumnName="Nombre_Categoria" />
                <ScalarProperty Name="Id_Categoria" ColumnName="Id_Categoria" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Detalle_Compra">
            <EntityTypeMapping TypeName="dbShopModel.Detalle_Compra">
              <MappingFragment StoreEntitySet="Detalle_Compra">
                <ScalarProperty Name="Codigo_Envio" ColumnName="Codigo_Envio" />
                <ScalarProperty Name="Id_Estado_Compra" ColumnName="Id_Estado_Compra" />
                <ScalarProperty Name="Fecha" ColumnName="Fecha" />
                <ScalarProperty Name="Id_Usuario" ColumnName="Id_Usuario" />
                <ScalarProperty Name="Detalle" ColumnName="Detalle" />
                <ScalarProperty Name="Id_Detalle_Compra" ColumnName="Id_Detalle_Compra" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Estado_Categorias">
            <EntityTypeMapping TypeName="dbShopModel.Estado_Categorias">
              <MappingFragment StoreEntitySet="Estado_Categorias">
                <ScalarProperty Name="Estado_Categoria" ColumnName="Estado_Categoria" />
                <ScalarProperty Name="Id_Estado_Categoria" ColumnName="Id_Estado_Categoria" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Estado_Compras">
            <EntityTypeMapping TypeName="dbShopModel.Estado_Compras">
              <MappingFragment StoreEntitySet="Estado_Compras">
                <ScalarProperty Name="Estado_Compra" ColumnName="Estado_Compra" />
                <ScalarProperty Name="Id_Estado_Compra" ColumnName="Id_Estado_Compra" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Estado_Marca">
            <EntityTypeMapping TypeName="dbShopModel.Estado_Marca">
              <MappingFragment StoreEntitySet="Estado_Marca">
                <ScalarProperty Name="Estado_Marca1" ColumnName="Estado_Marca" />
                <ScalarProperty Name="Id_Estado_Marca" ColumnName="Id_Estado_Marca" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Estado_Productos">
            <EntityTypeMapping TypeName="dbShopModel.Estado_Productos">
              <MappingFragment StoreEntitySet="Estado_Productos">
                <ScalarProperty Name="Estado_Producto" ColumnName="Estado_Producto" />
                <ScalarProperty Name="Id_Estado_Producto" ColumnName="Id_Estado_Producto" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Estado_Usuarios">
            <EntityTypeMapping TypeName="dbShopModel.Estado_Usuarios">
              <MappingFragment StoreEntitySet="Estado_Usuarios">
                <ScalarProperty Name="Estado" ColumnName="Estado" />
                <ScalarProperty Name="Id_Estado" ColumnName="Id_Estado" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Marca">
            <EntityTypeMapping TypeName="dbShopModel.Marca">
              <MappingFragment StoreEntitySet="Marca">
                <ScalarProperty Name="Id_Estado_Marca" ColumnName="Id_Estado_Marca" />
                <ScalarProperty Name="Descripcion_Marca" ColumnName="Descripcion_Marca" />
                <ScalarProperty Name="Nombre_Marca" ColumnName="Nombre_Marca" />
                <ScalarProperty Name="Id_Marca" ColumnName="Id_Marca" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Orden">
            <EntityTypeMapping TypeName="dbShopModel.Orden">
              <MappingFragment StoreEntitySet="Orden">
                <ScalarProperty Name="PrecioTotal" ColumnName="PrecioTotal" />
                <ScalarProperty Name="PrecioCantidad" ColumnName="PrecioCantidad" />
                <ScalarProperty Name="Id_Carro" ColumnName="Id_Carro" />
                <ScalarProperty Name="Id_Producto" ColumnName="Id_Producto" />
                <ScalarProperty Name="Cantidad" ColumnName="Cantidad" />
                <ScalarProperty Name="Id_Orden" ColumnName="Id_Orden" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Producto">
            <EntityTypeMapping TypeName="dbShopModel.Producto">
              <MappingFragment StoreEntitySet="Producto">
                <ScalarProperty Name="Id_Estado_Producto" ColumnName="Id_Estado_Producto" />
                <ScalarProperty Name="Id_Categoria" ColumnName="Id_Categoria" />
                <ScalarProperty Name="Id_Marca" ColumnName="Id_Marca" />
                <ScalarProperty Name="Stock_Producto" ColumnName="Stock_Producto" />
                <ScalarProperty Name="Imagen_Producto" ColumnName="Imagen_Producto" />
                <ScalarProperty Name="Precio_Producto" ColumnName="Precio_Producto" />
                <ScalarProperty Name="Descripcion_Producto" ColumnName="Descripcion_Producto" />
                <ScalarProperty Name="Nombre_Producto" ColumnName="Nombre_Producto" />
                <ScalarProperty Name="Id_Producto" ColumnName="Id_Producto" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Roles_Usuarios">
            <EntityTypeMapping TypeName="dbShopModel.Roles_Usuarios">
              <MappingFragment StoreEntitySet="Roles_Usuarios">
                <ScalarProperty Name="Rol" ColumnName="Rol" />
                <ScalarProperty Name="Id_Rol_Usuario" ColumnName="Id_Rol_Usuario" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="SuvNavCategorias">
            <EntityTypeMapping TypeName="dbShopModel.SuvNavCategorias">
              <MappingFragment StoreEntitySet="SuvNavCategorias">
                <ScalarProperty Name="Id_Categoria" ColumnName="Id_Categoria" />
                <ScalarProperty Name="Id_Marca" ColumnName="Id_Marca" />
                <ScalarProperty Name="SuvNavCategoria" ColumnName="SuvNavCategoria" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Usuarios">
            <EntityTypeMapping TypeName="dbShopModel.Usuarios">
              <MappingFragment StoreEntitySet="Usuarios">
                <ScalarProperty Name="Id_Rol_Usuario" ColumnName="Id_Rol_Usuario" />
                <ScalarProperty Name="Id_Estado" ColumnName="Id_Estado" />
                <ScalarProperty Name="Region" ColumnName="Region" />
                <ScalarProperty Name="Ciudad_Comuna" ColumnName="Ciudad_Comuna" />
                <ScalarProperty Name="Numero" ColumnName="Numero" />
                <ScalarProperty Name="Calle" ColumnName="Calle" />
                <ScalarProperty Name="Password" ColumnName="Password" />
                <ScalarProperty Name="Email" ColumnName="Email" />
                <ScalarProperty Name="Run" ColumnName="Run" />
                <ScalarProperty Name="Segundo_Apellido" ColumnName="Segundo_Apellido" />
                <ScalarProperty Name="Primer_Apellido" ColumnName="Primer_Apellido" />
                <ScalarProperty Name="Segundo_Nombre" ColumnName="Segundo_Nombre" />
                <ScalarProperty Name="Primer_Nombre" ColumnName="Primer_Nombre" />
                <ScalarProperty Name="Id_Usuario" ColumnName="Id_Usuario" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="false" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="Ninguno" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>